
/***************************************
* STORED stp_LP_updateUDC
*
* modifica l'UDC in una riga di lista prelievo
*
* Steamware, S.E.L. 8 (from Stintino)
* mod: 2010.07.15
*
************************************/
CREATE PROCEDURE [dbo].[stp_LP_updateUDC]
(
	@Original_CodLista VARCHAR(12),
	@Original_UDC VARCHAR(50),
	@UDC VARCHAR(50)
	
)
AS

SET @UDC = UPPER(@UDC)   -- metto ad Upper nel caso venga passato in minuscolo

-- aggiorno lista prelievo con nuovo UDC
	UPDATE	RigheListePrelievo
	SET		UDC = @UDC, Qta = (SELECT Qta FROM ElencoCartellini WHERE UDC = @UDC)
	WHERE	CodLista = @Original_CodLista AND UDC = @Original_UDC
	
RETURN

